# 安装时显示的模块名称
mod_name="脉冲指纹特效"
# 模块介绍
mod_install_desc="可选6种脉冲指纹特效安装"
# 安装时显示的提示
mod_install_info="是否安装$mod_name"
# 按下[音量+]选择的功能提示
mod_select_yes_text="安装$mod_name"
# 按下[音量+]后加入module.prop的内容
mod_select_yes_desc=""
# 按下[音量-]选择的功能提示
mod_select_no_text="不安装$mod_name"
# 按下[音量-]后加入module.prop的内容
mod_select_no_desc=""
# 支持的设备，支持正则表达式
mod_require_device=""
# 支持的系统版本，持正则表达式
mod_require_version="" #(7.0.0-7.1.2,9)

if [ $var_zhiwen = true ];then
    MOD_SKIP_INSTALL=true
fi
# 按下[音量+]时执行的函数
# 如果不需要，请保留函数结构和return 0
mod_install_yes()
{
    ui_print "****************************************"
    ui_print "- 是否安装ColorOS脉冲指纹特效"
    ui_print "- [音量+]安装"
    ui_print "- [音量-]不安装"
    if $VOLKEY_FUNC ; then
        ui_print "****************************************"
        ui_print "- 已选择[安装]"
        mod_select_yes_desc="[ColorOS脉冲特效]"
        mc=coloros
        return 0
    else 
        ui_print "****************************************"
        ui_print "- 已选择[不安装]"
    fi
    ui_print "****************************************"
    ui_print "- 是否安装黑鲨2脉冲指纹特效"
    ui_print "- [音量+]安装"
    ui_print "- [音量-]不安装"
    if $VOLKEY_FUNC ; then
        ui_print "****************************************"
        ui_print "- 已选择[安装]"
        mod_select_yes_desc="[黑鲨2脉冲特效]"
        mc=heisha2
        return 0
    else 
        ui_print "****************************************"
        ui_print "- 已选择[不安装]"
    fi
    ui_print "****************************************"
    ui_print "- 是否安装opporeno脉冲指纹特效"
    ui_print "- [音量+]安装"
    ui_print "- [音量-]不安装"
    if $VOLKEY_FUNC ; then
        ui_print "****************************************"
        ui_print "- 已选择[安装]"
        mod_select_yes_desc="[opporeno脉冲特效]"
        mc=opporeno
        return 0
    else 
        ui_print "****************************************"
        ui_print "- 已选择[不安装]"
    fi
    ui_print "****************************************"
    ui_print "- 是否安装vivo脉冲指纹特效"
    ui_print "- [音量+]安装"
    ui_print "- [音量-]不安装"
    if $VOLKEY_FUNC ; then
        ui_print "****************************************"
        ui_print "- 已选择[安装]"
        mod_select_yes_desc="[vivo脉冲特效]"
        mc=vivo
        return 0
    else 
        ui_print "****************************************"
        ui_print "- 已选择[不安装]"
    fi
    ui_print "****************************************"
    ui_print "- 是否安装vivo2脉冲指纹特效"
    ui_print "- [音量+]安装"
    ui_print "- [音量-]不安装"
    if $VOLKEY_FUNC ; then
        ui_print "****************************************"
        ui_print "- 已选择[安装]"
        mod_select_yes_desc="[vivo2脉冲特效]"
        mc=vivo2
        return 0
    else 
        ui_print "****************************************"
        ui_print "- 已选择[不安装]"
    fi
    ui_print "****************************************"
    ui_print "- 是否安装一加脉冲指纹特效"
    ui_print "- [音量+]安装"
    ui_print "- [音量-]不安装"
    if $VOLKEY_FUNC ; then
        ui_print "****************************************"
        ui_print "- 已选择[安装]"
        mod_select_yes_desc="[一加脉冲特效]"
        mc=yijia
        return 0
    else 
        ui_print "****************************************"
        ui_print "- 已选择[不安装]"
    fi

    mc=0
    return 0
}

# 按下[音量-]时执行的函数
# 如果不需要，请保留函数结构和return 0
mod_install_no()
{
    mc=0
    return 0
}

# 对权限的附加说明
# 只有一些特殊文件需要特定的权限
# 下面是 set_perm 函数的一些示例:

# set_perm_recursive  <目录>                <所有者> <用户组> <目录权限> <文件权限> <上下文> (默认值是: u:object_r:system_file:s0)
# set_perm_recursive  $MODPATH/system/lib       0       0       0755        0644

# set_perm  <文件名>                         <所有者> <用户组> <文件权限> <上下文> (默认值是: u:object_r:system_file:s0)
# set_perm  $MODPATH/system/bin/app_process32   0       2000      0755       u:object_r:zygote_exec:s0
# set_perm  $MODPATH/system/bin/dex2oat         0       2000      0755       u:object_r:dex2oat_exec:s0
# set_perm  $MODPATH/system/lib/libart.so       0       0         0644

